ランタイム: Mix::Scene::ISkyDome::CLOUD_GLOBAL_SETTINGS Struct Reference

ランタイム

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Attributes | List of all members
Mix::Scene::ISkyDome::CLOUD_GLOBAL_SETTINGS Struct Reference

雲グローバル設定構造体 More...

`#include <ISkyDome.h>`

Collaboration diagram for Mix::Scene::ISkyDome::CLOUD_GLOBAL_SETTINGS:
[legend]

## Public Attributes

Mix::Vector4 | color
| 色 More...
Float32 | speed
| スピード More...
Boolean | asEffect
| 大気散乱シミュレーションの影響を受ける場合は True More...
Boolean | asSunLighting
| 太陽によるライティングを行う場合は True More...
Float32 | asNightness
| 夜の雲の暗さ( 0.0f〜1.0f ) More...
Float32 | asCornerThreshold
| 隅の閾値( 0.0f〜1.0f ) More...
Float32 | asDarknessStart
| 光が遮断されている部分の暗さの開始値( 0.0f〜1.0f ) More...
Float32 | asDarknessEnd
| 光が遮断されている部分の暗さの終了値( asDarknessStart〜1.0f ) More...

## Detailed Description

雲グローバル設定構造体

## Member Data Documentation

Mix::Vector4 Mix::Scene::ISkyDome::CLOUD_GLOBAL_SETTINGS::color

色

Float32 Mix::Scene::ISkyDome::CLOUD_GLOBAL_SETTINGS::speed

スピード

Boolean Mix::Scene::ISkyDome::CLOUD_GLOBAL_SETTINGS::asEffect

大気散乱シミュレーションの影響を受ける場合は True

Note
  大気 ( 太陽光 ) の影響を受けて、雲の色が変化します。

Boolean Mix::Scene::ISkyDome::CLOUD_GLOBAL_SETTINGS::asSunLighting

太陽によるライティングを行う場合は True

Note
  大気散乱シミュレーションが利用可能であり、asEffect == True の場合に機能します。
  また、ライティングには以下のパラメータが影響します。
  asCornerThreshold
  asDarknessStart
  asDarknessEnd

Float32 Mix::Scene::ISkyDome::CLOUD_GLOBAL_SETTINGS::asNightness

夜の雲の暗さ( 0.0f〜1.0f )

Note
  値が大きいほど暗く、小さいほど明るくなります。
  また、大気散乱シミュレーションが利用可能であり、asEffect(True) の場合に機能します。

Float32 Mix::Scene::ISkyDome::CLOUD_GLOBAL_SETTINGS::asCornerThreshold

隅の閾値( 0.0f〜1.0f )

Note
  逆光を浴びた際に光が遮断されず、通過してくる透明度の閾値になります。
  また、大気散乱シミュレーションが利用可能であり、asEffect(True) asLighting(True) の場合に機能します。

Float32 Mix::Scene::ISkyDome::CLOUD_GLOBAL_SETTINGS::asDarknessStart

光が遮断されている部分の暗さの開始値( 0.0f〜1.0f )

Note
  光が遮断される部分は、太陽が真上にあるほど明るく、水平線に近くなるほど暗くなります。( asDarknessStart〜asDarknessEnd )
  また、大気散乱シミュレーションが利用可能であり、asEffect(True) asLighting(True) の場合に機能します。

Float32 Mix::Scene::ISkyDome::CLOUD_GLOBAL_SETTINGS::asDarknessEnd

光が遮断されている部分の暗さの終了値( asDarknessStart〜1.0f )

Note
  光の遮断の動作については asDarknessStart の説明を読んでください。
  また、大気散乱シミュレーションが利用可能であり、asEffect(True) asLighting(True) の場合に機能します。

The documentation for this struct was generated from the following file:

- Mix/Scene/ISkyDome.h